<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Todo App
    </ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="logout()">
        <ion-icon slot="icon-only" name="log-out-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="bg-img">
    <h1>Today,</h1>
    <h5>{{currentDate}}</h5>

    <ion-card *ngFor="let tsk of allTasks">
      <ion-item>
        <ion-checkbox (ionChange)="changCheckedState(tsk)" [(ngModel)]="tsk.checked" color="success"></ion-checkbox>
        <ion-label>
          <p>{{tsk.date}}</p>
          <h2 *ngIf="!tsk.checked">{{tsk.text}}</h2>
          <h2 *ngIf="tsk.checked" style="text-decoration: line-through;">{{tsk.text}}</h2>
        </ion-label>
      </ion-item>
    </ion-card>

    <ion-item *ngIf="add">
      <ion-input [(ngModel)]="newTask"></ion-input>
      <ion-button (click)="addNewTask()">
        <ion-icon slot="end" name="add-outline"></ion-icon>
      </ion-button>
    </ion-item>
    <button class="add-button" (click)="add = !add">
      <ion-icon [name]="!add ? 'arrow-undocircle-outline' : 'add-outline'"></ion-icon> {{!add ? 'AJOUTER UNE TÂCHE' : 'ANNULER'}}
    </button>
  </div>
</ion-content>
